Skip to main content
GET
/
rewards
/
user
Get earnings for user by date
curl --request GET \
  --url https://clob.polymarket.com/rewards/user \
  --header 'POLY_ADDRESS: <api-key>' \
  --header 'POLY_API_KEY: <api-key>' \
  --header 'POLY_PASSPHRASE: <api-key>' \
  --header 'POLY_SIGNATURE: <api-key>' \
  --header 'POLY_TIMESTAMP: <api-key>'
{
  "limit": 100,
  "count": 1,
  "next_cursor": "LTE=",
  "data": [
    {
      "date": "2024-03-26T00:00:00Z",
      "condition_id": "0xbd31dc8a20211944f6b70f31557f1001557b59905b7738480ca09bd4532f84af",
      "asset_address": "0x9c4E1703476E875070EE25b56A58B008CFb8FA78",
      "maker_address": "0xFeA4cB3dD4ca7CefD3368653B7D6FF9BcDFca604",
      "earnings": 0.237519,
      "asset_rate": 1
    }
  ]
}

Authorizations

POLY_API_KEY
string
header
required

Your API key

POLY_ADDRESS
string
header
required

Ethereum address associated with the API key

POLY_SIGNATURE
string
header
required

HMAC signature of the request

POLY_PASSPHRASE
string
header
required

API key passphrase

POLY_TIMESTAMP
string
header
required

Unix timestamp of the request

Query Parameters

date
string<date>
required

Date in YYYY-MM-DD format

signature_type
enum<integer>

Signature type for address derivation (required for API KEY auth):

  • 0: EOA
  • 1: POLY_PROXY
  • 2: POLY_GNOSIS_SAFE
Available options:
0,
1,
2
maker_address
string

Maker address to query earnings for

sponsored
boolean
default:false

If true, returns sponsored-only earnings

next_cursor
string

Pagination cursor from previous response

Response

Successfully retrieved user earnings

Paginated list of user earnings

limit
integer
required

Maximum number of items per page

count
integer
required

Number of items in the current response

next_cursor
string
required

Cursor for the next page. "LTE=" indicates the last page.

data
object[]
required